#include <bits/stdc++.h>

using namespace std;

int kk(string a, string b)
{
    for(int i=0; i<a.length(); i++)
    {
        if(a[i]-'0'<b[i]-'0')
        {
            return false;
        }
        if(a[i]-'0'>b[i]-'0')
        {
            return true;
        }

    }
    return true;
}

int main()
{
    string a,b,c,m,n;
    
    cin >> a;
    cin >> b;
    cin >> c;

    m=a+b+c;
 
    n=a+c+b; 
 
    if(kk(n,m))
    {
        m=n;
    }
    
    n=b+a+c;
    
    if(kk(n,m))
    {
        m=n;
    }
    
    n=b+c+a;
    
    if(kk(n,m))
    {
        m=n;
    }
    
    n=c+a+b;
    
    if(kk(n,m))
    {
        m=n;
    }
    
    n=c+b+a;
    
    if(kk(n,m))
    {
        m=n;
    }
    
    cout << m << endl;
    
    return 0;
}